<div class="col-6 offset-3 mt-3">
  <h2>{{pageTitle}}</h2>
  <hr>
  <div class="chat-box" *ngIf="pageTitle">
    <div class="alert alert-warning mt-1 mx-auto col-6 text-center" *ngIf="!chatMessages"> {{message}}</div>
    <div class="d-flex flex-column" *ngFor="let message of chatMessages">
      <div class="message" [ngClass]="message.user_id==identity.sub ?'message-user ml-auto':'message-not-user mr-auto'">
        {{message.message}} 
        <br>
        <div class="text-muted text-center">{{message.created_at | amLocale:'es' | amTimeAgo }}</div>
      </div>
    </div>
  </div>
 
  <new-message [childChatId]="chatId" (eventoPadre)="getChat($event)" *ngIf="pageTitle"></new-message>
</div>